package renderer
{
	import mx.controls.Image;
	import mx.containers.Box;
    import mx.controls.dataGridClasses.DataGridListData;
    import mx.controls.Text;
	import mx.controls.listClasses.BaseListData;
	import mx.controls.listClasses.IDropInListItemRenderer;
    	   
	public class IconLevelRenderer extends Box
		implements IDropInListItemRenderer
	{
        private var image:Image;
        		
        // Embed icons.
        [Embed(source="../icon/beginner.png")]
        public var beginnerSymbol:Class; 
        
        [Embed(source="../icon/intermediate.png")]
        public var intermediateSymbol:Class;
        
        [Embed(source="../icon/advanced.png")]
        public var advancedSymbol:Class;
        
		public function IconLevelRenderer()
		{
			super();
			setStyle("horizontalAlign", "center");
            image = new Image();
      	}
        
		// ----- listData -----
		private var _listData:BaseListData;
		[Bindable("dataChange")]
		public function get listData():BaseListData
		{
			return _listData;
		}

		public function set listData(value:BaseListData):void
		{
			_listData = value;
		}
		// -----   -----
        override protected function createChildren():void
        {
            super.createChildren();
            addChild(image);
        }
       
		// Override the set method for the data property.
    	override public function set data(value:Object):void 
    	{
        	super.data = value;
        	if (value != null) 
        	{
        		var currentValue:String = listData.label;
          		toolTip=currentValue.substring(0,1).toUpperCase()+currentValue.substring(1);
        		switch(currentValue) 
        		{
 					case "beginner":
 						image.source = beginnerSymbol;
						break;
					case "intermediate":
 						image.source = intermediateSymbol;
 						break;
					case "advanced":
 						image.source = advancedSymbol;
 						break; 						
 					default:
 						image.source = null;
 				}
 			} 
 		}
	}
}